Bug 814975 - Unable boot into live desktop environment with macbook pro 3,1 (NVIDIA GeForce 8600M GT)
Unable boot into live desktop environment with macbook pro 3,1 (NVIDIA GeForc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 15:44 EDT by amhankinjp
Modified: 2013-07-31 17:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:47:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (70.30 KB, text/plain)
2012-05-02 22:06 EDT, amhankinjp
no flags Details
Comment (85.57 KB, text/plain)
2012-05-02 22:07 EDT, amhankinjp
no flags Details

  None (edit)
Description amhankinjp 2012-04-21 15:44:34 EDT
Description of problem:
Cannot boot into live desktop environment from live usb on a macbook pro 3,1. I suspect it is a problem with my NVIDIA GeForce 8600M GT video card.

Version-Release number of selected component (if applicable):
 Fedora-17-Beta-x86_64-Live-Desktop

How reproducible:
Reproducible on every attempt

Steps to Reproduce:
1. Download the latests 'Fedora-17-Beta-x86_64-Live-Desktop.iso' 
2. Install livecd-tools from the updates/testing repository in a separate machine running Fedora 16 (64-bit)
3. Create live usb: livecd-iso-to-disk --efi --format path_to_iso path_to_usb
4. Boot off usb by holding 'alt' on startup and selecting the 'efi' disk
5. Go into grub boot menu and add 'nomodeset' boot option
6. Attempt to boot
  
Actual results:
Fedora appears to boot normally at first since I see the normal fedora splash screen, but it always fails to make it to the actual desktop. The last message I see in the boot sequence is:
-Starting display manager      
-Started display manager      [OK]

Then the screen blinks a few times and gets stuck at that point in the sequence. If I leave the 'nomodeset' out of the kernel boot options then my system gets stuck earlier in the sequence. I get stopped at this message shortly after continuing on from the grub boot menu:
"1.428356 fb: conflicting fb hw usage nouveaufb vs. EFI VGA - removing generic driver"


Expected results:
The system boots into the normal livecd environment

Additional info:
I suspect this is related to these bugs filed for fedora 16:
https://bugzilla.redhat.com/show_bug.cgi?id=751147
https://bugzilla.redhat.com/show_bug.cgi?id=650949 (not so sure about this one)
Comment 1 Ben Skeggs 2012-04-23 23:06:34 EDT
Hmm, I strongly suspect this is some other issue.  Can you post me your dmesg output, and whatever X logs are in /var/log after you've tried to boot.
Comment 2 amhankinjp 2012-04-25 14:45:34 EDT
What's the easiest way to get a hold of these logs? I'm having trouble getting it to drop into a command prompt at the points where it locks up. Although ctrl+alt+delete works fine to reboot the system.
Comment 3 amhankinjp 2012-05-02 22:06:15 EDT
Created attachment 915447 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 4 amhankinjp 2012-05-02 22:07:47 EDT
Created attachment 915448 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 5 amhankinjp 2012-05-02 22:09:26 EDT
/var/log/Xorg.0.log 


[    11.810] 
X.Org X Server 1.12.0
Release Date: 2012-03-04
[    11.810] X Protocol Version 11, Revision 0
[    11.810] Build Operating System: x86-01 2.6.32-220.4.1.el6.x86_64 
[    11.810] Current Operating System: Linux localhost.localdomain 3.3.0-1.fc17.x86_64 #1 SMP Mon Mar 19 03:03:39 UTC 2012 x86_64
[    11.810] Kernel command line: root=live:UUID=49D9-D36C rootfstype=vfat ro liveimg  rhgb nomodeset
[    11.810] Build Date: 14 March 2012  03:02:21PM
[    11.810] Build ID: xorg-x11-server 1.12.0-2.fc17 
[    11.810] Current version of pixman: 0.24.4
[    11.810] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    11.810] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    11.811] (==) Log file: "/var/log/Xorg.0.log", Time: Wed May  2 21:48:51 2012
[    11.812] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    11.812] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    11.838] (==) No Layout section.  Using the first Screen section.
[    11.838] (==) No screen section available. Using defaults.
[    11.838] (**) |-->Screen "Default Screen Section" (0)
[    11.838] (**) |   |-->Monitor "<default monitor>"
[    11.838] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    11.838] (==) Automatically adding devices
[    11.838] (==) Automatically enabling devices
[    11.838] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
[    11.838] (==) ModulePath set to "/usr/lib64/xorg/modules"
[    11.838] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    11.838] (II) Loader magic: 0x7c5ac0
[    11.838] (II) Module ABI versions:
[    11.838] 	X.Org ANSI C Emulation: 0.4
[    11.838] 	X.Org Video Driver: 12.0
[    11.838] 	X.Org XInput driver : 16.0
[    11.838] 	X.Org Server Extension : 6.0
[    11.840] (--) PCI:*(0:1:0:0) 10de:0407:106b:00a0 rev 161, Mem @ 0x92000000/16777216, 0x80000000/268435456, 0x90000000/33554432, I/O @ 0x00005000/128, BIOS @ 0x????????/131072
[    11.840] (II) LoadModule: "extmod"
[    11.840] (II) Loading /usr/lib64/xorg/modules/extensions/libextmod.so
[    11.850] (II) Module extmod: vendor="X.Org Foundation"
[    11.850] 	compiled for 1.12.0, module version = 1.0.0
[    11.850] 	Module class: X.Org Server Extension
[    11.850] 	ABI class: X.Org Server Extension, version 6.0
[    11.850] (II) Loading extension SELinux
[    11.850] (II) Loading extension MIT-SCREEN-SAVER
[    11.850] (II) Loading extension XFree86-VidModeExtension
[    11.850] (II) Loading extension XFree86-DGA
[    11.850] (II) Loading extension DPMS
[    11.850] (II) Loading extension XVideo
[    11.850] (II) Loading extension XVideo-MotionCompensation
[    11.850] (II) Loading extension X-Resource
[    11.850] (II) LoadModule: "dbe"
[    11.850] (II) Loading /usr/lib64/xorg/modules/extensions/libdbe.so
[    11.851] (II) Module dbe: vendor="X.Org Foundation"
[    11.851] 	compiled for 1.12.0, module version = 1.0.0
[    11.851] 	Module class: X.Org Server Extension
[    11.851] 	ABI class: X.Org Server Extension, version 6.0
[    11.851] (II) Loading extension DOUBLE-BUFFER
[    11.851] (II) LoadModule: "glx"
[    11.851] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[    11.856] (II) Module glx: vendor="X.Org Foundation"
[    11.864] 	compiled for 1.12.0, module version = 1.0.0
[    11.864] 	ABI class: X.Org Server Extension, version 6.0
[    11.864] (==) AIGLX enabled
[    11.864] (II) Loading extension GLX
[    11.864] (II) LoadModule: "record"
[    11.864] (II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
[    11.870] (II) Module record: vendor="X.Org Foundation"
[    11.870] 	compiled for 1.12.0, module version = 1.13.0
[    11.870] 	Module class: X.Org Server Extension
[    11.870] 	ABI class: X.Org Server Extension, version 6.0
[    11.870] (II) Loading extension RECORD
[    11.870] (II) LoadModule: "dri"
[    11.870] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[    11.881] (II) Module dri: vendor="X.Org Foundation"
[    11.881] 	compiled for 1.12.0, module version = 1.0.0
[    11.881] 	ABI class: X.Org Server Extension, version 6.0
[    11.881] (II) Loading extension XFree86-DRI
[    11.881] (II) LoadModule: "dri2"
[    11.882] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[    11.882] (II) Module dri2: vendor="X.Org Foundation"
[    11.882] 	compiled for 1.12.0, module version = 1.2.0
[    11.882] 	ABI class: X.Org Server Extension, version 6.0
[    11.882] (II) Loading extension DRI2
[    11.882] (==) Matched nouveau as autoconfigured driver 0
[    11.882] (==) Matched nv as autoconfigured driver 1
[    11.882] (==) Matched vesa as autoconfigured driver 2
[    11.882] (==) Matched fbdev as autoconfigured driver 3
[    11.882] (==) Assigned the driver to the xf86ConfigLayout
[    11.882] (II) LoadModule: "nouveau"
[    11.882] (II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
[    11.902] (II) Module nouveau: vendor="X.Org Foundation"
[    11.902] 	compiled for 1.11.99.901, module version = 0.0.16
[    11.902] 	Module class: X.Org Video Driver
[    11.902] 	ABI class: X.Org Video Driver, version 12.0
[    11.907] (II) LoadModule: "nv"
[    11.907] (WW) Warning, couldn't open module nv
[    11.907] (II) UnloadModule: "nv"
[    11.907] (II) Unloading nv
[    11.907] (EE) Failed to load module "nv" (module does not exist, 0)
[    11.907] (II) LoadModule: "vesa"
[    11.908] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[    11.913] (II) Module vesa: vendor="X.Org Foundation"
[    11.913] 	compiled for 1.11.99.901, module version = 2.3.0
[    11.913] 	Module class: X.Org Video Driver
[    11.913] 	ABI class: X.Org Video Driver, version 12.0
[    11.913] (II) LoadModule: "fbdev"
[    11.913] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
[    11.913] (II) Module fbdev: vendor="X.Org Foundation"
[    11.913] 	compiled for 1.11.99.901, module version = 0.4.2
[    11.913] 	ABI class: X.Org Video Driver, version 12.0
[    11.913] (II) NOUVEAU driver 
[    11.913] (II) NOUVEAU driver for NVIDIA chipset families :
[    11.913] 	RIVA TNT        (NV04)
[    11.913] 	RIVA TNT2       (NV05)
[    11.913] 	GeForce 256     (NV10)
[    11.913] 	GeForce 2       (NV11, NV15)
[    11.913] 	GeForce 4MX     (NV17, NV18)
[    11.913] 	GeForce 3       (NV20)
[    11.913] 	GeForce 4Ti     (NV25, NV28)
[    11.913] 	GeForce FX      (NV3x)
[    11.913] 	GeForce 6       (NV4x)
[    11.914] 	GeForce 7       (G7x)
[    11.914] 	GeForce 8       (G8x)
[    11.914] 	GeForce GTX 200 (NVA0)
[    11.914] 	GeForce GTX 400 (NVC0)
[    11.914] (II) VESA: driver for VESA chipsets: vesa
[    11.914] (II) FBDEV: driver for framebuffer: fbdev
[    11.914] (++) using VT number 1

[    11.915] drmOpenDevice: node name is /dev/dri/card0
[    11.925] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[    11.925] drmOpenDevice: node name is /dev/dri/card0
[    11.931] drmOpenByBusid: drmOpenMinor returns -1
[    11.931] drmOpenDevice: node name is /dev/dri/card1
[    11.936] drmOpenByBusid: drmOpenMinor returns -1
[    11.936] drmOpenDevice: node name is /dev/dri/card2
[    11.942] drmOpenByBusid: drmOpenMinor returns -1
[    11.942] drmOpenDevice: node name is /dev/dri/card3
[    11.948] drmOpenByBusid: drmOpenMinor returns -1
[    11.948] drmOpenDevice: node name is /dev/dri/card4
[    11.954] drmOpenByBusid: drmOpenMinor returns -1
[    11.954] drmOpenDevice: node name is /dev/dri/card5
[    11.960] drmOpenByBusid: drmOpenMinor returns -1
[    11.960] drmOpenDevice: node name is /dev/dri/card6
[    11.966] drmOpenByBusid: drmOpenMinor returns -1
[    11.966] drmOpenDevice: node name is /dev/dri/card7
[    11.972] drmOpenByBusid: drmOpenMinor returns -1
[    11.972] drmOpenDevice: node name is /dev/dri/card8
[    11.978] drmOpenByBusid: drmOpenMinor returns -1
[    11.978] drmOpenDevice: node name is /dev/dri/card9
[    11.985] drmOpenByBusid: drmOpenMinor returns -1
[    11.985] drmOpenDevice: node name is /dev/dri/card10
[    11.991] drmOpenByBusid: drmOpenMinor returns -1
[    11.991] drmOpenDevice: node name is /dev/dri/card11
[    11.997] drmOpenByBusid: drmOpenMinor returns -1
[    11.997] drmOpenDevice: node name is /dev/dri/card12
[    12.003] drmOpenByBusid: drmOpenMinor returns -1
[    12.003] drmOpenDevice: node name is /dev/dri/card13
[    12.009] drmOpenByBusid: drmOpenMinor returns -1
[    12.009] drmOpenDevice: node name is /dev/dri/card14
[    12.015] drmOpenByBusid: drmOpenMinor returns -1
[    12.015] drmOpenDevice: node name is /dev/dri/card15
[    12.021] drmOpenByBusid: drmOpenMinor returns -1
[    12.021] drmOpenDevice: node name is /dev/dri/card0
[    12.032] drmOpenDevice: node name is /dev/dri/card0
[    12.038] drmOpenDevice: node name is /dev/dri/card1
[    12.045] drmOpenDevice: node name is /dev/dri/card2
[    12.051] drmOpenDevice: node name is /dev/dri/card3
[    12.056] drmOpenDevice: node name is /dev/dri/card4
[    12.062] drmOpenDevice: node name is /dev/dri/card5
[    12.069] drmOpenDevice: node name is /dev/dri/card6
[    12.075] drmOpenDevice: node name is /dev/dri/card7
[    12.081] drmOpenDevice: node name is /dev/dri/card8
[    12.088] drmOpenDevice: node name is /dev/dri/card9
[    12.094] drmOpenDevice: node name is /dev/dri/card10
[    12.100] drmOpenDevice: node name is /dev/dri/card11
[    12.107] drmOpenDevice: node name is /dev/dri/card12
[    12.112] drmOpenDevice: node name is /dev/dri/card13
[    12.118] drmOpenDevice: node name is /dev/dri/card14
[    12.125] drmOpenDevice: node name is /dev/dri/card15
[    12.131] (EE) [drm] failed to open device
[    12.131] (WW) Falling back to old probe method for fbdev
[    12.131] (II) Loading sub module "fbdevhw"
[    12.131] (II) LoadModule: "fbdevhw"
[    12.131] (II) Loading /usr/lib64/xorg/modules/libfbdevhw.so
[    12.147] (II) Module fbdevhw: vendor="X.Org Foundation"
[    12.147] 	compiled for 1.12.0, module version = 0.0.2
[    12.147] 	ABI class: X.Org Video Driver, version 12.0
[    12.147] (II) Loading sub module "vbe"
[    12.147] (II) LoadModule: "vbe"
[    12.147] (II) Loading /usr/lib64/xorg/modules/libvbe.so
[    12.158] (II) Module vbe: vendor="X.Org Foundation"
[    12.159] 	compiled for 1.12.0, module version = 1.1.0
[    12.159] 	ABI class: X.Org Video Driver, version 12.0
[    12.159] (II) Loading sub module "int10"
[    12.159] (II) LoadModule: "int10"
[    12.159] (II) Loading /usr/lib64/xorg/modules/libint10.so
[    12.159] (II) Module int10: vendor="X.Org Foundation"
[    12.159] 	compiled for 1.12.0, module version = 1.0.0
[    12.159] 	ABI class: X.Org Video Driver, version 12.0
[    12.159] (II) VESA(0): initializing int10
[    12.159] (EE) VESA(0): V_BIOS address 0x0 out of range
[    12.159] (II) UnloadModule: "vesa"
[    12.159] (II) UnloadSubModule: "int10"
[    12.159] (II) Unloading int10
[    12.159] (II) UnloadSubModule: "vbe"
[    12.159] (II) Unloading vbe
[    12.159] (EE) Screen(s) found, but none have a usable configuration.
[    12.159] 
Fatal server error:
[    12.159] no screens found
[    12.159] 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[    12.159] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    12.159] 
[    12.163] Server terminated with error (1). Closing log file.
Comment 6 Fedora End Of Life 2013-07-03 17:02:34 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 17:47:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.